Subject: bug#6685: 23.2; Discards control characters during boot.

From: Chong Yidong <[email-masked]>
Date: Wed, 11 Apr 2012 16:07:21 +0800

[email-masked] (Trent W. Buck) writes:

> I start emacs with a wrapper script which boils down to
>
>     ALTERNATIVE_EDITOR="" emacsclient -c -t
>
> In the past (23.1 or so), I could start emacs that way, and while the
> daemon was loading in the background, I could type
>
>     M-x irc C-m M-x gnus C-m
>
> and when the daemon finished loading, the IRC and GNUS functions would
> run.  Now, what happens is that I get
>
>     xircxgnus
>
> appended to *scratch*.  It seems pretty clear to me that Emacs has
> started discarding control characters (^[ and ^M in my case).

As far as I can tell, this old bug was fixed by the introduction of
xterm-extra-capabilities (set it to nil to avoid discarding
pre-terminal-initialization input).